मुख्य सामग्री पर जाएं
GET
/
projects
/
{projectId}
/
tasks
List project tasks
curl --request GET \
  --url https://api.youka.io/api/v1/projects/{projectId}/tasks \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "type": "create-karaoke",
    "status": "created",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "error": "<string>"
  }
]

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

पथ पैरामीटर

projectId
string
आवश्यक

प्रतिक्रिया

200 - application/json

Project task list

id
string
आवश्यक
type
enum<string>
आवश्यक
उपलब्ध विकल्प:
create-karaoke,
sync-lyrics,
stem-separation,
generate-video,
generate-chords,
export-project
status
enum<string>
आवश्यक
उपलब्ध विकल्प:
created,
queued,
in-progress,
completed,
failed,
cancelled,
timed-out,
finalized
createdAt
string
आवश्यक
updatedAt
string
आवश्यक
error
string | null